%
%  Plots error bars for the data in vectors x and y
%

function result = errorbarlog(x,y,error,colorvec,lw)

size = 1.05;

if (length(error)==1),
for j=1:length(x)
  line([x(j) x(j)],[y(j)+2*error y(j)-2*error],'color',colorvec,'linewidth',lw)
  line([x(j)*1/size x(j)/(1/size)],[y(j)-2*error y(j)-2*error],'color',colorvec,'linewidth',lw)
  line([x(j)*1/size x(j)/(1/size)],[y(j)+2*error y(j)+2*error],'color',colorvec,'linewidth',lw)
end
else
for j=1:length(x)
  line([x(j) x(j)],[y(j)+2*error(j) y(j)-2*error(j)],'color',colorvec,'linewidth',lw)
  line([x(j)*1/size x(j)/(1/size)],[y(j)-2*error(j) y(j)-2*error(j)],'color',colorvec,'linewidth',lw)
  line([x(j)*1/size x(j)/(1/size)],[y(j)+2*error(j) y(j)+2*error(j)],'color',colorvec,'linewidth',lw)
end
end

result = 1;
