
load series2_39.dat 
series = series2_39; 

t_my = series(:,1); 
x_my = series(:,2); 
Vx_my = series(:,3); 
Vp_my = series(:,5); 
n_my = series(:,6); 

figure(1); 
    plot(t_my,n_my,'-'); hold on 
    
pause 

load ss_avs2_10.dat 
load ss_avs2_39.dat 
%load ss_avs2_39b.dat
[rn10 cn10] = size(ss_avs2_10); 
[rn39 cn39] = size(ss_avs2_39); 
%[rn39b cn39b] = size(ss_avs2_39b);
ss_avs = [ ss_avs2_10(1:(rn10-2),:) ; ss_avs2_39(1:(rn39),:); ]; 

gss = ss_avs(:,1); 
nss = ss_avs(:,2); 
nss_err = ss_avs(:,3); 
n_therm = ss_avs(:,4); 
n_bme = ss_avs(:,5); 

Ess = ss_avs(:,6); 
Ess_err = ss_avs(:,7); 
E_therm = ss_avs(:,8); 
E_bme = ss_avs(:,9); 

brown     = [0.79    0.47    0.0756]; 
darkbrown = [0.3686  0.2627  0.0706]; 
lighttan  = [0.8078  0.6627  0.2314]; 
brick     = [0.8078  0.0235  0.0235]; 
        
% figure(1); 
%     clf
%     semilogx(gss,n_bme,'--','color',brick,'linewidth',[1.5]); hold on
%     semilogx(gss,n_therm,'--','color',lighttan,'linewidth',[1.5]); hold on
%     semilogx(gss,nss,'-','color',brown,'linewidth',[1.5]); hold on  
%     errorbarlog(gss,nss,2*nss_err,brown,1.5); 
%     semilogx(gss,nss,'o','color',darkbrown,'linewidth',[1.5]); hold on 
%     axis([min(gss) max(gss) 0 1.1]); 
%     pos = get(gca,'position'); 
%     set(gca,'position',[pos(1) pos(2) pos(3)*.5 pos(4)*1.0]); 
%     set(gca,'fontsize',[16]);
%     set(gca,'xticklabel',['0.1';' 1 ';'10 ']);
%     xlabel('{\it t}/\gamma','fontsize',[16])
%     ylabel('Average Phonon Number','fontsize',[16])
    
figure(2); 
    clf
    semilogx(4*gss,E_bme,'--','color',lighttan,'linewidth',[1.5]); hold on
    semilogx(4*gss,E_therm,'--','color',brick,'linewidth',[1.5]); hold on
    semilogx(4*gss,Ess,'-','color',brown,'linewidth',[1.5]); hold on  
    errorbarlog(4*gss,Ess,2*Ess_err,brown,1.5); 
    semilogx(4*gss,Ess,'o','color',darkbrown,'linewidth',[1.5]); hold on 
    axis([min(4*gss) max(4*gss) 0 3.1]); 
    pos = get(gca,'position'); 
    set(gca,'position',[pos(1) pos(2) pos(3)*.56 pos(4)*1.0]); 
    set(gca,'fontsize',[16]);
    set(gca,'xtick',[1 10 100]);
    set(gca,'xticklabel',[' 1 ';' 10';'100']);
    xlabel('\gamma','fontsize',[16])
    ylabel('Average Phonon Number','fontsize',[16])
    

        